<?php
    /**
    *   D Y N P G  -  D Y N A M I C  P A G E S
    *
    *   BACKEND FILE
    *
	*   Export php functions for SJAX usage, specific to current view
	*   within the backend.
    *
    *   @package: DynPG Core
    */

    function dpg_sajax_exports() {
        // redirect on failure
            $GLOBALS['sajax_failure_redirect'] = dynpg_get_HTTP_URL() . '?' . getenv('QUERY_STRING');

        // switch beween current "show" parameter
            switch ($_GET['show']) {
                case 1:
                    sajax_export(
                        Array('name' => 'parse_group_tree', 'asynchronous' => false),
                        Array('name' => 'reload_group_tree', 'asynchronous' => false),
                        Array('name' => 'openall_group_tree', 'asynchronous' => false),
                        Array('name' => 'closeall_group_tree', 'asynchronous' => false),
                        Array('name' => 'read_group_values', 'asynchronous' => false),
                        Array('name' => 'hasGroupSuccessors', 'asynchronous' => false),
                        Array('name' => 'getTextIDs', 'asynchronous' => false),
                        Array('name' => 'parse_group_dropdown', 'asynchronous' => false),
                        Array('name' => 'parse_group_associations', 'asynchronous' => false),
                        Array('name' => 'edit_group', 'asynchronous' => false),
                        Array('name' => 'edit_group_name', 'asynchronous' => false),
                        Array('name' => 'delete_group', 'asynchronous' => false),
                        Array('name' => 'copy_group', 'asynchronous' => false),
                        Array('name' => 'create_association', 'asynchronous' => false),
                        Array('name' => 'delete_association', 'asynchronous' => false),
                        Array('name' => 'divide_datetime', 'asynchronous' => false),
                        Array('name' => 'merge_datetime', 'asynchronous' => false),
                        Array('name' => 'create_group_refid', 'asynchronous' => false),
                        Array('name' => 'read_refid_values', 'asynchronous' => false),
                        Array('name' => 'save_article_data', 'asynchronous' => false)
                    );
                    break;
            }

        // always available
            sajax_export(
                Array('name' => 'dpgem_backend_switch_editmode', 'asynchronous' => false)
            );
    }

    function dpg_sajax_handle_client_requests() {
        $buffer = stop_output_buffer();
        sajax_handle_client_request();
        start_output_buffer($buffer);
    }